UI::Util::Sys::Exception Class Reference

Use this exception class if you want to catch failures on system/library calls. More...

`#include <Sys.hpp>`

Inheritance diagram for UI::Util::Sys::Exception:
Collaboration diagram for UI::Util::Sys::Exception:

## Public Member Functions

| Exception (std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_, int const &errNo=0)

## Detailed Description

Use this exception class if you want to catch failures on system/library calls.

## Constructor & Destructor Documentation

## ~Exception()

virtual UI::Util::Sys::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Reimplemented from UI::Exception.

The documentation for this class was generated from the following file:

- Sys.hpp